AntCompiler (Apache Tomcat 10.1.16 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: AntCompiler

Package org.apache.jasper.compiler

# Class AntCompiler

java.lang.Object
org.apache.jasper.compiler.Compiler
org.apache.jasper.compiler.AntCompiler

public class AntCompiler extends Compiler
Main JSP compiler class. This class uses Ant for compiling.

Author:
  Anil K. Vijendran, Mandar Raje, Pierre Delisle, Kin-man Chung, Remy Maucherat, Mark Roth

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AntCompiler.JasperAntLogger`
  `protected static class`
  `AntCompiler.SystemLogHandler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Object`
  `javacLock`
  `protected AntCompiler.JasperAntLogger`
  `logger`
  `protected org.apache.tools.ant.Project`
  `project`

  ### Fields inherited from class org.apache.jasper.compiler.Compiler

  `ctxt, errDispatcher, jsw, options, pageInfo, pageNodes, tfp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntCompiler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `generateClass(Map<String,SmapStratum> smaps)`
  Compile the servlet from .java file to .class file
  `protected org.apache.tools.ant.Project`
  `getProject()`

  ### Methods inherited from class org.apache.jasper.compiler.Compiler

  `compile, compile, compile, generateJava, getCompilationContext, getErrorDispatcher, getPageInfo, getSmap, init, isOutDated, isOutDated, removeGeneratedClassFiles, removeGeneratedFiles`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### javacLock

    protected static final Object javacLock

  - ### project

    protected org.apache.tools.ant.Project project

  - ### logger

    protected AntCompiler.JasperAntLogger logger

- ## Constructor Details

  - ### AntCompiler

    public AntCompiler()

- ## Method Details

  - ### getProject

    protected org.apache.tools.ant.Project getProject()

  - ### generateClass

    protected void generateClass(Map<String,SmapStratum> smaps) throws FileNotFoundException, JasperException, Exception
    Compile the servlet from .java file to .class file
    Specified by:
      `generateClass` in class `Compiler`
    Parameters:
      `smaps` - The source maps for the class(es) generated from the source file
    Throws:
      `FileNotFoundException` - Source files not found
      `JasperException` - Compilation error
      `Exception` - Some other error